Loading...
Searching...
No Matches
QGpgME::QGpgMERefreshSMIMEKeysJob Class Reference
Inheritance diagram for QGpgME::QGpgMERefreshSMIMEKeysJob:
[legend]
Collaboration diagram for QGpgME::QGpgMERefreshSMIMEKeysJob:
[legend]

## Public Member Functions

GpgME::Error | start (const QStringList &patterns) override
GpgME::Error | start (const std::vector< GpgME::Key > &keys) override
Public Member Functions inherited from QGpgME::Job
virtual QString | auditLogAsHtml () const
virtual GpgME::Error | auditLogError () const
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Additional Inherited Members

Public Slots inherited from QGpgME::Job
virtual void | slotCancel ()=0
Signals inherited from QGpgME::RefreshKeysJob
void | result (const GpgME::Error &result)
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Member Functions inherited from QGpgME::RefreshKeysJob
| RefreshKeysJob (QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Member Function Documentation

## start() [1/2]

GpgME::Error QGpgMERefreshSMIMEKeysJob::start | ( | const QStringList & | patterns | ) |

override virtual

Starts the refresh operation. pattern is a list of patterns used to restrict the list of keys returned. Empty patterns are ignored. If pattern is empty or contains only empty strings, all keys are refreshed.

Only implemented for S/MIME.

Implements QGpgME::RefreshKeysJob.

## start() [2/2]

GpgME::Error QGpgMERefreshSMIMEKeysJob::start | ( | const std::vector< GpgME::Key > & | keys | ) |

override virtual

Starts a refresh of the keys.

Implements QGpgME::RefreshKeysJob.

The documentation for this class was generated from the following files:

- qgpgmerefreshsmimekeysjob.h
- qgpgmerefreshsmimekeysjob.cpp